#pragma once

#include "CoreMinimal.h"
#include "Engine/DeveloperSettings.h"
#include "EDBDAudioLanguage.h"
#include "DBDAudioLanguageSetting.h"
#include "DBDAudioStateGroupSettings.h"
#include "DBDAudioSettings.generated.h"

UCLASS(Blueprintable)
class DBDAUDIO_API UDBDAudioSettings : public UDeveloperSettings
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EDBDAudioLanguage DefaultLanguage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FDBDAudioLanguageSetting> Languages;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FDBDAudioStateGroupSettings> StateGroups;

public:
	UDBDAudioSettings();
};

FORCEINLINE uint32 GetTypeHash(const UDBDAudioSettings) { return 0; }
